Loading...
Searching...
No Matches
FreetdsSqlUtil::FreetdsFunction Class Reference

represents a FreeTDS-specific function More...

Inherits SqlUtil::AbstractFunction.

## Public Member Functions

softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the function in the database
string | getDropSql (*hash opt)
| returns a string that can be used to drop the function from the database More...
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the function in the database More...
| setName (string new_name)
| sets the new name of the function

## Protected Member Functions

bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not

## Detailed Description

represents a FreeTDS-specific function

## Member Function Documentation

## getDropSql()

string FreetdsSqlUtil::FreetdsFunction::getDropSql | ( | *hash | opt | ) |

returns a string that can be used to drop the function from the database

Parameters

  opt | this argument is ignored

## getRenameSql()

softlist FreetdsSqlUtil::FreetdsFunction::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

returns a string that can be used to rename the function in the database

Parameters

  new_name | the new name of the object
  opt | this argument is ignored